[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [linux-lvm] SoftRaid and LVM



On Tue, Sep 04, 2001 at 04:35:40PM +0200, Jean-Eric Cuendet wrote:
> 
> Hi,
> It seems that you use a fresh 2.4.9 kernel. In kernel 2.4.9, the version
> of LVM is 0.9.0-beta2, which is what you get with dmesg or cat /proc/lvm
> Then you installed tools from 1.0.1rc2. You must upgrade your kernel
> with LVM 1.0.1rc2 if you want all that to be consistent (or use beta2
> tools, which is not the good way IMHO).
> 
> Recompile 2.4.9 with LVM-1.0.1rc2 and you'll be OK.

I applied the 1.0.1-rc2 patch to a clean 2.4.9 kernel tree and was
able to create a logical volume on top of s/w RAID 1 without any
trouble. However, a bonnie++ run on an ext2 (or ext3) filesystem on
the logical volume caused the system to lock up, with kswapd going
uninterruptible. I suspect a VM (rather than LVM) problem, as a
similar lock-up occurred on another system with 2.4.8 kernel and no
LVM. We've reverted to kernel 2.4.7 on both systems and had no
problems since.

-- 
Ray Miller <ray miller oucs ox ac uk>
Unix Systems Programmer
Oxford University Computing Services




[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]